UC540 - Language Pack Problems

Unanswered Question
Jun 23rd, 2010


I have a problem related with the language packs available for the uc540/phones.

We are trying to change the region and language to Portugal/Portuguese of our devices, but we can't manage to do it.

We downloaded the only PT langpack file available from the uc540 download page.

We got a file named: cue-vm-pt_PT-langpack.uc500.7.1.3.prt1

And also downloaded the UC540-8.0.2.zip and did the upgrade.

After the upgrade, using CCA, we should go to Telephony\Region, select portuguese on every option and then check the "Update Language files for current region". Ofcourse, while having the cue-vm-pt_PT-langpack.uc500.7.1.3.prt1 file on the correct path. But apparently that file is not the correct file, we concluded that we need a .pkg or even .tar.

Can anyone help us out so we can understand how we should proceed to make a correct language update?

thanks in advance

I have this problem too.
0 votes
  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 5 (1 ratings)
SteveOrfanos Wed, 06/23/2010 - 12:09


I am also having difficulties locating the .tar file. I'm trying to change my language to UK English. If you copy cue-vm-pt-langpack.uc500.7.1.3.prt1 into the path show in the region setting whilst in CCA you are able to change the phone language, however I'm at a loss trying to change the CUE language.

SteveOrfanos Thu, 06/24/2010 - 13:33

.tar file for all languages has now magically appeared on the website!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

SteveOrfanos Thu, 06/24/2010 - 14:09

I would have been nice if Cisco noted this for there international dealers on the website whilst it was unavailable. This was unavailable for days not hours.

dguinaldo Fri, 06/25/2010 - 07:14

Hi Guys,

I think I'm blind today, but I can't see this file anywhere ... could you please add the link to the file ?

Many thanks,



nfcorreia Fri, 06/25/2010 - 08:08

The link is https://upload.cisco.com/cgi-bin/swc/fileexg/main.cgi?asc=FD&CONTYPES=UC500&menu=view&filter_users=0&which_fileowner=anyone&which_contract=forums&which_timeperiod=anytime

Much appreciated for the help.

But now we are facing another issue.

We can't change the VoiceMail Language. In the Region Tab if we change the VoiceMail Language to anything besides US English a warning box appears saying we need to upgrade the CUE first. But we already did the upgrade.

I guess we also need a .pkg file to be able to upgrade the CUE with a desired language. Because if we, inside the Upgrade Option, select only "CUE Upgrade", it asks for a pkg file.

Anyway, I tried to upgrade the CUE with the .pkg language file that is inside the UC540-8.0.2.zip

But I got an error message, I'm attaching a printscreen with the error.

Thanks in advance.

dguinaldo Fri, 06/25/2010 - 08:17

Thanks for the link.

i'm experiencing the same issue ...

Any idea or help appreciated.



antyeung Tue, 08/03/2010 - 14:17

To change the CUE language locale you need to place the CUE langpack in the same directory as the cue-main.uc500.x.x.x.pkg, which requires you to unzip the SWP and also the file SCUE-UC500-x.x.x.zip. In CCA you would go to Maintenance > Software Upgrade > Upgrade Settings and select the CUE radio button along w/ the language you want to change to. The image file that you need to browse to is the cue-main.uc500.x.x.x.pkg file and not the cue langpack file. The error message is misleading and our engineering team is working on changing it in future CCA versions.

Anthony Yeung
Technical Marketing Engineer
Small Business Technolog Group
[email protected]
Phone: 469.255.7597


This Discussion